Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Static Public Attributes | List of all members
cutlass::TileTraitsStrideMajor< Tile_, Threads > Struct Template Reference

`#include <tile_traits_standard.h>`

## Public Types
typedef Tile_ | Tile
| Shape of tile. More...
typedef Shape< 1, kThreads/Tile::kW, Tile::kW, 1 > | ThreadShape
| Shape of threads. More...
typedef Shape< 1, ThreadShape::kH, 1, 1 > | Delta
| Delta along each dimension. More...
typedef Shape< 1, Tile::kH/ThreadShape::kH, 1, 1 > | Iterations
| Number of iterations. More...
typedef TiledThreadOffset< ThreadShape > | ThreadOffset
| Computes the initial offset. More...

## Static Public Attributes
static int const | kThreads = Threads
| Number of participating threads. More...

## Detailed Description

### template<typename Tile_, int Threads>
struct cutlass::TileTraitsStrideMajor< Tile_, Threads >

Tiling in which the number of threads is greater than the contiguous dimension of the tile.

## Member Typedef Documentation

## ◆ Delta

template<typename Tile_ , int Threads>

typedef Shape<1, ThreadShape::kH, 1, 1> cutlass::TileTraitsStrideMajor< Tile_, Threads >::Delta

## ◆ Iterations

template<typename Tile_ , int Threads>

typedef Shape<1, Tile::kH / ThreadShape::kH, 1, 1> cutlass::TileTraitsStrideMajor< Tile_, Threads >::Iterations

## ◆ ThreadOffset

template<typename Tile_ , int Threads>

typedef TiledThreadOffset<ThreadShape> cutlass::TileTraitsStrideMajor< Tile_, Threads >::ThreadOffset

## ◆ ThreadShape

template<typename Tile_ , int Threads>

typedef Shape<1, kThreads / Tile::kW, Tile::kW, 1> cutlass::TileTraitsStrideMajor< Tile_, Threads >::ThreadShape

## ◆ Tile

template<typename Tile_ , int Threads>

typedef Tile_ cutlass::TileTraitsStrideMajor< Tile_, Threads >::Tile

## Member Data Documentation

## ◆ kThreads

template<typename Tile_ , int Threads>

int const cutlass::TileTraitsStrideMajor< Tile_, Threads >::kThreads = Threads
| static

The documentation for this struct was generated from the following file:

- tile_traits_standard.h